;(function () {
  'use strict'

  var download = document.getElementById('download')

  document.addEventListener('scroll', function () {
    var navbar = document.querySelector('.navbar')

    if (window.scrollY > 0) {
      navbar.classList.add('active')
    } else {
      navbar.classList.remove('active')
    }
  })

  download.addEventListener('click', function () {
    var pathname = window.location.pathname
    var path = pathname.split('/')
    var filename = path[2] ? path[2] === 'swlab-docs' ? 'docs' : `docs-${path[2]}` : ''
    var directory = path[2] && path[3] ? path[2] === 'swlab-docs' ? 'docs' : path[3] : ''
    var link = document.createElement('a')

    link.href = `http://182.162.100.110:10001/download-file?filename=${filename}.zip&directory=${directory}`
    link.click()

    document.removeChild(link)
  })
})()
